View Issue Details

IDProjectCategoryView StatusLast Update
0002431NoesisGUIC++ SDKpublic2022-10-06 19:53
ReporterZGholson Assigned Tosfernandez  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.5 
Target Version3.1.6Fixed in Version3.1.6 
Summary0002431: MenuItem not receiving focus when in Treeview or ListView
DescriptionWhen opening a context menu inside of a treeview or listview, the focus does not shift to the context menu. Instead, it stays in the list / tree.
Steps To ReproduceCreated a treeview. Add some treeviewitems to it. Then add a context menu to the treeview items. Attempt to open the context menu via onClick or some other means other than the right click. Attempt to navigate the context menu via dpad or joystick. The input will be applied to the tree view .
TagsContextMenu, Focus, Input, ListView, TreeView
PlatformAny

Activities

sfernandez

sfernandez

2022-10-06 19:53

manager   ~0008090

Fixed in changeset 11642.

Issue History

Date Modified Username Field Change
2022-09-23 23:21 ZGholson New Issue
2022-09-23 23:21 ZGholson Tag Attached: ContextMenu
2022-09-23 23:21 ZGholson Tag Attached: Focus
2022-09-23 23:21 ZGholson Tag Attached: Input
2022-09-23 23:21 ZGholson Tag Attached: ListView
2022-09-23 23:21 ZGholson Tag Attached: TreeView
2022-09-26 11:34 sfernandez Assigned To => sfernandez
2022-09-26 11:34 sfernandez Status new => assigned
2022-09-26 11:34 sfernandez Product Version 3.2 => 3.1.5
2022-09-26 11:34 sfernandez Target Version => 3.1.6
2022-10-06 19:53 sfernandez Status assigned => resolved
2022-10-06 19:53 sfernandez Resolution open => fixed
2022-10-06 19:53 sfernandez Fixed in Version => 3.1.6
2022-10-06 19:53 sfernandez Note Added: 0008090